Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.functions
Class XPathWrapper

    java.lang.Object
      org.apache.jmeter.functions.XPathWrapper

    public class XPathWrapper

extends Object

This class wraps the XPathFileContainer for use across multiple threads. It maintains a list of nodelist containers, one for each file/xpath combination

Method Summary
`static void` | `clearAll()`
`static String` | `getXPathString(String file, String xpathString)` Not thread-safe - must be called from a synchronized method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXPathString

    public static String getXPathString(String file,
                                        String xpathString)

  Not thread-safe - must be called from a synchronized method.

  Parameters:
    `file` -
    `xpathString` -
  Returns:
    the next row from the file container

### clearAll

    public static void clearAll()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.